GET
/customers/{customer_id}
Requires customer.read
permission.
Path parameters
customer_idstringrequired
Example:
ctm_01grnn4zta5a1mf02jjze7y2ysUnique Paddle ID for this customer entity, prefixed with
ctm_.Pattern:
^ctm_[a-z\d]{26}$Response (200)
dataobjectrequired
Represents a customer entity with included entities.
idstringrequired
Example:
ctm_01grnn4zta5a1mf02jjze7y2ysUnique Paddle ID for this customer entity, prefixed with
ctm_.Pattern:
^ctm_[a-z\d]{26}$namestring | nullrequired
Full name.
Max length: 1024
emailstring (email)required
Example:
test@paddle.comEmail address for this customer.
Length: 1–320
marketing_consentbooleanrequired
Default:
falseWhether this customer opted into marketing from you.
false unless customers check the marketing consent box
when using Paddle Checkout. Set automatically by Paddle.statusstringrequired
Default:
activeWhether this entity can be used in Paddle.
Values
activeEntity is active and can be used.archivedEntity is archived, so can't be used.
custom_dataobject | nullrequired
Example:
{"customer_reference_id":"abcd1234"}Your own structured key-value data.
localestringrequired
Default:
enValid IETF BCP 47 short form locale tag. If omitted, defaults to
en.created_atstring (date-time)required
Example:
2024-10-12T07:20:50.52ZRFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
updated_atstring (date-time)required
Example:
2024-10-13T07:20:50.52ZRFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
import_metaobject | nullrequired
Import information for this entity.
null if this entity is not imported.external_idstring | null
Example:
9b95b0b8-e10f-441a-862e-1936a6d818abReference or identifier for this entity from the provider where it was imported from.
Length: 1–200
imported_fromstringrequired
Example:
paddle_classicName of the platform or provider where this entity was imported from.
Length: 1–200
metaobjectrequired
Information about this response.
request_idstringrequired
Example:
b15ec92e-8688-40d4-a04d-f44cbec93355Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.
{ "data": { "id": "ctm_01hrffh7gvp29kc7xahm8wddwa", "status": "active", "custom_data": null, "name": "Sam Miller", "email": "sam@example.com", "marketing_consent": false, "locale": "en", "created_at": "2024-03-08T16:49:53.691Z", "updated_at": "2024-04-11T16:03:57.924146Z", "import_meta": null }, "meta": { "request_id": "aa0009cb-18f7-4538-b1cd-ad29d91cfaa7" }}